Unable to add Zeebe Incident Alert Exporter

I receive this error:

Exception in thread "Broker-0-zb-fs-workers-1" java.lang.LinkageError: loader constraint violation: loader io.zeebe.broker.exporter.jar.ExporterJarClassLoader @59127611 wants to load class io.zeebe.protocol.record.ValueType. A different class with the same name was previously loaded by 'app'. (io.zeebe.protocol.record.ValueType is in unnamed module of loader 'app')

I’m not really the best java developer, so I’m not sure where to start. Any Ideas?

Zeebe version: 0.23.1

Hey @sungodavi

thanks for reporting this.

Could you please elaborate what exactly you’re doing?
Please provide the configuration you’re using.
How does your Exporter look like?
Have you registered other exporters?

Greets
Chris

This sounds like the exporter that you are trying to load has a different Zeebe version dependency than the runtime where you are trying to load the exporter… as it is complaining about different versions of the same class.

Here are some of the relevant files. The actual exporter is just a copy of the incident alerter exporter made by jwulf. It was working just fine when I was on Zeebe version 0.22, but I wanted to upgrade.

Repo for exporter: https://github.com/jwulf/zeebe-incident-alerter

application.yaml:

Dockerfile

Updated pom.xml (I just changed the versions)